package com.jiayue.ipfcst.fileupload.job;

import com.jiayue.ipfcst.common.data.job.BaseJob;
import com.jiayue.ipfcst.console.service.PrValueService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.JobDataMap;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * pr值定时任务
 * @author fxy
 * @version 1.0
 * @since 2022/10/26 11:23
 */
@Slf4j
public class PrValueJob  extends BaseJob {

  @Autowired
  private PrValueService prValueService;

  @Override
  public boolean execute(JobDataMap jobDataMap) {
    log.info("开始执行Pr值数据生成定时任务");

    try {
      prValueService.setPrValue();
    } catch (Exception e) {
      log.error("pr值定时任务执行失败",e);
    }

    log.info("执行Pr值数据生成定时任务执行结束");
    return true;
  }
}
